# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::Slot< R, P > Class Template Reference

`#include <util.h>`

Inheritance diagram for DBus::Slot< R, P >:

## Public Member Functions

Slot & | operator= (Callback_Base< R, P > *s)
R | operator() (P param) const
R | call (P param) const
bool | empty () const

## Private Attributes

RefPtr< Callback_Base< R, P > > | _cb

## Detailed Description

template<class R, class P>
class DBus::Slot< R, P >

Definition at line 225 of file util.h.

## Member Function Documentation

## ◆ call()

template<class R, class P>

R DBus::Slot< R, P >::call | ( | P | param | ) | const

inline

Definition at line 248 of file util.h.

Referenced by DBus::Connection::Private::message_filter_stub().

## ◆ empty()

template<class R, class P>

bool DBus::Slot< R, P >::empty | ( |  | ) | const

inline

Definition at line 260 of file util.h.

Referenced by DBus::Slot< bool, const Message & >::call(), DBus::Connection::Private::message_filter_stub(), and DBus::Slot< bool, const Message & >::operator()().

## ◆ operator()()

template<class R, class P>

R DBus::Slot< R, P >::operator() | ( | P | param | ) | const

inline

Definition at line 236 of file util.h.

## ◆ operator=()

template<class R, class P>

Slot & DBus::Slot< R, P >::operator= | ( | Callback_Base< R, P > * | s | ) |

inline

Definition at line 229 of file util.h.

## Member Data Documentation

## ◆ _cb

template<class R, class P>

RefPtr< Callback_Base<R, P> > DBus::Slot< R, P >::_cb

private

Definition at line 267 of file util.h.

The documentation for this class was generated from the following file:

- util.h